//
//  AccessibilityModelProtocol.swift
//  MVMCoreUI
//
//  Created by Kevin Christiano on 2/3/21.
//  Copyright © 2021 Verizon Wireless. All rights reserved.
//

import Foundation


public protocol AccessibilityModelProtocol {
    
    var accessibilityIdentifier: String? { get set }
    var accessibilityTraits: UIAccessibilityTraits? { get set }
    var accessibilityText: String? { get set }
    var accessibilityValue: String? { get set }
    var accessibilityHint: String? { get set }
}

public extension AccessibilityModelProtocol {
    
    var accessibilityIdentifier: String? {
        get { nil }
        set { }
    }
    
    var accessibilityTraits: UIAccessibilityTraits? {
        get { nil }
        set { }
    }
    
    var accessibilityText: String? {
        get { nil }
        set { }
    }
    
    var accessibilityValue: String? {
        get { nil }
        set { }
    }
    
    var accessibilityHint: String? {
        get { nil }
        set {}
    }
}
